%macro sasdrugdev_getsddrapiversion();
  %global _sddRC_ _sddMsg_;
  %let _sddRC_=%str(-1);
  %let _sddMsg_=;
  %sasdrugdev_sdd_getmacrosversion() ;
  data _null_;
    attrib returnCode 			length=8;
    attrib message    			length=$200;
    attrib macros_version     	length=$60;
    attrib client_version		length=$60 ;
    attrib server_version		length=$60 ;
    declare javaobj cmd("com/sas/drugdev/remote/sasmacro/command/GetSDDRAPIVersionCommand");
    declare javaobj results("com/sas/drugdev/remote/sasmacro/results/DefaultResult");
    cmd.callVoidMethod("execute", results); 
    results.callIntMethod("getReturnCode", returnCode);
    results.callStringMethod("getReturnMessage", message);
    cmd.callStringMethod("getClientVersionFormat", client_version);
    cmd.callStringMethod("getServerVersionFormat", server_version);
    macros_version = "&_sddMacrosVersionFormat_" ;
    if (returnCode=0) then do;
      put;
      put "NOTE: SAS Drug Development Macro: sasdrugdev_getsddrapiversion 3.5";
      put "NOTE: SAS Drug Development Macro: * SAS Macros version:  " macros_version;
      put "NOTE: SAS Drug Development Macro: * RAPI Client version: " client_version ;
      put "NOTE: SAS Drug Development Macro: * RAPI Server version: " server_version ;
      put "NOTE: SAS Drug Development Macro: * Return Code: " returnCode;
      put "NOTE: SAS Drug Development Macro: * " message;
      put;
    end;
    else do;
      put;
      put "ERROR: SAS Drug Development Macro: sasdrugdev_getsddrapiversion 3.5";
      put "ERROR: SAS Drug Development Macro: * Return Code: " returnCode;
      put "ERROR: SAS Drug Development Macro: * " message;
      put;
    end;
    call symputx("_sddRC_", returnCode);
    call symputx("_sddMsg_", message);
  run;
%mend sasdrugdev_getsddrapiversion;
