%macro sasdrugdev_sdd_getmacrosversion();
  %global _sddRC_ _sddMsg_ _sddMacrosVersion_ _sddMacrosVersionFormat_ _sddMacrosVersionDate_;
  %let _sddRC_=%str(0);
  %let _sddMsg_=;
  %let _sddMacrosVersionDate_=;
  %let _sddMacrosVersion_=;
  %let _sddMacrosVersionFormat_=;

  data _null_;
  	set sashelp.vallopt ;
  	where (optname = "SASAUTOS" | optname = "SET") ;
	dirList = reverse(trim(left(setting))) ;
	fileDelim ="\" ;
	fileSep = '"' ;
	if (index(dirList, fileDelim) = 0) then
		do ;
			fileDelim = "/" ;
			fileSep = "'" ;
		end ;
	srcString = "SASDrugDevRemoteAPI_Macros" || trim(left(fileDelim)) || "sas" ;
	indx = index(dirList, reverse(srcString)) ;
	if (indx = 0) then
		return ;
	dirList = substr(dirList, indx) ;
	indx = index(dirList, fileSep) ;
	dirList = substr(dirList, 1, indx-1) ;
	indx = index(dirList, fileDelim) ;
	dirList = reverse(substr(dirList, indx)) ;
	dirList = trim(left(dirList)) || "VERSION.txt" ;
	call symput("SDDMacroVersiontxt", trim(left(dirList))); 
  run ;

  data _null_ ;
  	infile "&SDDMacroVersiontxt" 
  	MISSOVER
	DSD
	LRECL=32767
	LENGTH=reclen
	FIRSTOBS=1
	;
  	input inputLine $VARYING200. reclen ;
  	if (inputLine =: "Build") then
  	  do ;
		indx = index(inputLine, ":") ;
		inputLine = substr(inputLine, indx+1) ;
		indx = index(reverse(trim(left(inputLine))), ' ') ;
		macro_Date = substr(inputLine, 1, (length(inputLine) - (indx-1))) ;
		inputLine = substr(inputLine,(length(inputLine) - (indx-2))) ;
		indx = index(reverse(trim(left(inputLine))), ".") ;
		macro_unForm = trim(left(inputLine)) ;
		macro_Format = "Release: " || substr(inputLine, 1, (length(inputLine)-indx)) ||  " Build: " || substr(inputLine, ((length(inputLine)-indx)+2)) ;
	   	call symputx("_sddRC_", _sddRC_);
    	call symputx("_sddMsg_", message);
    	call symputx("_sddMacrosVersionDate_", macro_Date);
    	call symputx("_sddMacrosVersion_", macro_Unform);
    	call symputx("_sddMacrosVersionFormat_", macro_Format);
    	stop ;
  	  end ;
  run;
%mend sasdrugdev_sdd_getmacrosversion ;