%macro sasdrugdev_copyfile(srcpath=, destpath=);
  %global _sddRC_ _sddMsg_;
  %let _sddRC_=%str(-1);
  %let _sddMsg_=;
  data _null_;
    attrib returnCode length=8;
    attrib message    length=$200;
    declare javaobj cmd("com/sas/drugdev/remote/sasmacro/command/CopyFileCommand", "%bquote(&srcpath)", "%bquote(&destpath)");
    declare javaobj results("com/sas/drugdev/remote/sasmacro/results/DefaultResult");
    cmd.callVoidMethod("execute", results);
    results.callIntMethod("getReturnCode", returnCode);
    results.callStringMethod("getReturnMessage", message);
    if (returnCode=0) then do;
      put;
      put "NOTE: SAS Drug Development Macro: sasdrugdev_copyfile 3.5";
      put "NOTE: SAS Drug Development Macro: * Return Code: " returnCode;
      put "NOTE: SAS Drug Development Macro: * " message;
      put;
    end;
    else do;
      put;
      put "ERROR: SAS Drug Development Macro: sasdrugdev_copyfile 3.5";
      put "ERROR: SAS Drug Development Macro: * Return Code: " returnCode;
      put "ERROR: SAS Drug Development Macro: * " message;
      put;
    end;
  call symputx("_sddRC_", returnCode);
  call symputx("_sddMsg_", message);
  run;
%mend sasdrugdev_copyfile;
